import request from '@/utils/request'

// 查询来料检验列表
export function listIncome(query) {
	return request({
		url: '/quality/qcIncome/list',
		method: 'get',
		params: query
	});
}

// 查询来料检验详细
export function getIncome(recordId) {
	return request({
		url: '/quality/qcIncome/' + recordId,
		method: 'get'
		});
}

// 新增来料检验
export function addIncome(data) {
	return request({
		url: '/quality/qcIncome',
		method: 'post',
		data: data
	});
}

// 修改来料检验
export function updateIncome(data) {
	return request({
		url: '/quality/qcIncome',
		method: 'put',
		data: data
	});
}

// 删除来料检验
export function delIncome(recordId) {
	return request({
		url: '/quality/qcIncome/' + recordId,
		method: 'delete'
	});
}

// 查询BOM物料管理列表
export function getQcListBom(query) {
	return request({
	  url: '/quality/qcIncome/getQcListBom',
	  method: 'get',
	  params: query
	});
  }

// 查询供应商管理列表
export function getQcListSupplier(query) {
	return request({
	  url: '/quality/qcIncome/getQcListSupplier',
	  method: 'get',
	  params: query
	});
  }

// 查询人员列表
export function getQcListUser(query) {
	return request({
	  url: '/quality/qcIncome/getQcListUser',
	  method: 'get',
	  params: query
	});
  }